This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 977637 - /usr/bin/nc fails when connecting to UNIX-domain sockets
/usr/bin/nc fails when connecting to UNIX-domain sockets
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nmap (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 23:19 EDT by Michael Chapman
Modified: 2013-08-14 09:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: nmap-6.25-8.20130624svn.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 09:01:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Chapman 2013-06-24 23:19:34 EDT
Description of problem:

The /usr/bin/nc shell-script wrapper incorrectly diverts "nc -U <filename>" to socat. Specifically, it does not precede the socket filename argument with an address type (e.g. "UNIX-CONNECT:" or "UNIX-LISTEN:"). socat is unable to resolve the argument and dies with an error message.

This wrapper should not be necessary any more: as of Nmap 6.20 nmap-ncat has built-in support for UNIX-domain sockets. Replacing the shell script with a symlink to ncat appears to work correctly.


Version-Release number of selected component (if applicable):

- nmap-ncat-6.25-2.fc19.x86_64
- socat-1.7.2.2-1.fc19.x86_64

Steps to Reproduce:
1. In one terminal: nc -l -U socket
2. In another terminal: nc -U socket

Actual results:
2013/06/25 13:10:48 socat[23264] E unknown device/address "socket"

Expected results: A successful connection.
Comment 1 Michal Hlavinka 2013-07-02 10:48:37 EDT
nc socat wrapper dropped

Note You need to log in before you can comment on or make changes to this bug.